import json
from flask import Flask, request
from flask import jsonify
from common.db.mysql_help import MysqlHelper

app = Flask(__name__)
app.config['JSON_AS_ASCII'] = False


# 只接受get方法访问
@app.route("/v1/source/getinfo", methods=["GET"])
def getSource():
    # 获取传入的params参数
    get_data = request.args.to_dict()
    fields = get_data.get('fields')
    # # 对参数进行操作
    sql = 'select source, task_type, spider_name from crawler_source'

    result = MysqlHelper.get_values(sql)
    if not result:
        return jsonify({'return_code': '200', 'result': [], 'message': 'no data'})
    source_list = list()
    for source, task_type, spider_name in result:
        data = dict(
            source=source,
            task_type=task_type,
            spider_name=spider_name
        )
        source_list.append(data)
    return jsonify({'return_code': '200', 'result': source_list})


@app.route("/v1/task/insert", methods=["POST"])
def inerttask():
    pass
    # 获取传入的参数
    # get_data = request.args.to_dict()
    # 传入的参数为bytes类型，需要转化成json

    # return json.dumps(return_dict, ensure_ascii=False)


@app.route("/v1/task/gettask", methods=["GET"])
def getTask():
    get_data = request.args.to_dict()

    sql = 'select task_id, task_name from crawler_task'
    result = MysqlHelper.get_values(sql)
    if not result:
        return jsonify({'return_code': '200', 'result': [], 'message': 'no data'})
    source_list = list()
    for task_id, task_name in result:
        data = dict(
            task_id=task_id,
            task_name=task_name,
        )
        source_list.append(data)
    return jsonify({'return_code': '200', 'result': source_list})


@app.route("/v1/author/getuser", methods=["POST"])
def createUser():
    data = request.form.get('author')
    print(eval(data))
    for i in eval(data):
        print(i)
    return jsonify({'data':data})

if __name__ == "__main__":
    app.run(debug=True)
